<?php

namespace App\Admin\Repositories;

use App\Models\DistAppearance as Model;
use Carbon\Carbon;
use Dcat\Admin\Repositories\EloquentRepository;

class DistAppearance extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    public static function selectOptions()
    {
        $data = Model::all();
        $options = [];
        foreach ($data as $item) {
            $options[$item->id] = $item->title;
        }
        return $options;
    }

    /*
     * 设置状态为已导入
     */
    public static function setStatusToImported($id)
    {
        $row = Model::where('id', $id)->first();
        if ($row) {
            $row->updated_at = Carbon::now();
            $row->imported = 1;
            $row->save();
        }
        return true;
    }

}
